# Go API client for api

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

## Overview
This API client was generated by the [OpenAPI Generator](https://openapi-generator.tech) project.  By using the [OpenAPI-spec](https://www.openapis.org/) from a remote server, you can easily generate an API client.

- API version: 2.3.0
- Package version: 2.2.0
- Build package: org.openapitools.codegen.languages.GoClientCodegen
For more information, please visit [https://storageos.com](https://storageos.com)

## Installation

Install the following dependencies:

```shell
go get github.com/stretchr/testify/assert
go get golang.org/x/oauth2
go get golang.org/x/net/context
go get github.com/antihax/optional
```

Put the package under your project folder and add the following in import:

```golang
import "./api"
```

## Documentation for API Endpoints

All URIs are relative to *http://localhost/v2*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**AttachNFSVolume**](docs/DefaultApi.md#attachnfsvolume) | **Post** /namespaces/{namespaceID}/volumes/{id}/nfs/attach | attach and share the volume using NFS
*DefaultApi* | [**AttachVolume**](docs/DefaultApi.md#attachvolume) | **Post** /namespaces/{namespaceID}/volumes/{id}/attach | Attach a volume to the given node
*DefaultApi* | [**AuthenticateUser**](docs/DefaultApi.md#authenticateuser) | **Post** /auth/login | Authenticate a user
*DefaultApi* | [**CreateNamespace**](docs/DefaultApi.md#createnamespace) | **Post** /namespaces | Create a new namespace
*DefaultApi* | [**CreatePolicyGroup**](docs/DefaultApi.md#createpolicygroup) | **Post** /policies | Create a new policy group
*DefaultApi* | [**CreateUser**](docs/DefaultApi.md#createuser) | **Post** /users | Create a new user
*DefaultApi* | [**CreateVolume**](docs/DefaultApi.md#createvolume) | **Post** /namespaces/{namespaceID}/volumes | Create a new Volume in the specified namespace
*DefaultApi* | [**DeleteAuthenticatedUser**](docs/DefaultApi.md#deleteauthenticateduser) | **Delete** /users/self | Delete the authenticated user
*DefaultApi* | [**DeleteAuthenticatedUserSessions**](docs/DefaultApi.md#deleteauthenticatedusersessions) | **Delete** /users/self/sessions | Invalidate the logged in user&#39;s sessions
*DefaultApi* | [**DeleteNamespace**](docs/DefaultApi.md#deletenamespace) | **Delete** /namespaces/{id} | Delete a namespace
*DefaultApi* | [**DeleteNode**](docs/DefaultApi.md#deletenode) | **Delete** /nodes/{id} | Delete a node
*DefaultApi* | [**DeletePolicyGroup**](docs/DefaultApi.md#deletepolicygroup) | **Delete** /policies/{id} | Delete a policy group
*DefaultApi* | [**DeleteSessions**](docs/DefaultApi.md#deletesessions) | **Delete** /users/{id}/sessions | Invalidate login sessions
*DefaultApi* | [**DeleteUser**](docs/DefaultApi.md#deleteuser) | **Delete** /users/{id} | Delete a user
*DefaultApi* | [**DeleteVolume**](docs/DefaultApi.md#deletevolume) | **Delete** /namespaces/{namespaceID}/volumes/{id} | Delete a volume
*DefaultApi* | [**DetachVolume**](docs/DefaultApi.md#detachvolume) | **Delete** /namespaces/{namespaceID}/volumes/{id}/attach | Detach the given volume
*DefaultApi* | [**GetAuthenticatedUser**](docs/DefaultApi.md#getauthenticateduser) | **Get** /users/self | Get the currently authenticated user&#39;s information
*DefaultApi* | [**GetCluster**](docs/DefaultApi.md#getcluster) | **Get** /cluster | Retrieves the cluster&#39;s global configuration settings
*DefaultApi* | [**GetDiagnostics**](docs/DefaultApi.md#getdiagnostics) | **Get** /diagnostics | Retrieves a diagnostics bundle from the target node
*DefaultApi* | [**GetLicence**](docs/DefaultApi.md#getlicence) | **Get** /cluster/licence | Retrieves the cluster&#39;s licence information
*DefaultApi* | [**GetNamespace**](docs/DefaultApi.md#getnamespace) | **Get** /namespaces/{id} | Fetch a namespace
*DefaultApi* | [**GetNode**](docs/DefaultApi.md#getnode) | **Get** /nodes/{id} | Fetch a node
*DefaultApi* | [**GetPolicyGroup**](docs/DefaultApi.md#getpolicygroup) | **Get** /policies/{id} | Fetch a policy group
*DefaultApi* | [**GetUser**](docs/DefaultApi.md#getuser) | **Get** /users/{id} | Fetch a user
*DefaultApi* | [**GetVolume**](docs/DefaultApi.md#getvolume) | **Get** /namespaces/{namespaceID}/volumes/{id} | Fetch a volume
*DefaultApi* | [**ListNamespaces**](docs/DefaultApi.md#listnamespaces) | **Get** /namespaces | Fetch the list of namespaces
*DefaultApi* | [**ListNodes**](docs/DefaultApi.md#listnodes) | **Get** /nodes | Fetch the list of nodes
*DefaultApi* | [**ListPolicyGroups**](docs/DefaultApi.md#listpolicygroups) | **Get** /policies | Fetch the list of policy groups
*DefaultApi* | [**ListUsers**](docs/DefaultApi.md#listusers) | **Get** /users | Fetch the list of users
*DefaultApi* | [**ListVolumes**](docs/DefaultApi.md#listvolumes) | **Get** /namespaces/{namespaceID}/volumes | Fetch the list of volumes in the given namespace
*DefaultApi* | [**RefreshJwt**](docs/DefaultApi.md#refreshjwt) | **Post** /auth/refresh | Refresh the JWT
*DefaultApi* | [**ResizeVolume**](docs/DefaultApi.md#resizevolume) | **Put** /namespaces/{namespaceID}/volumes/{id}/size | Increase the size of a volume.
*DefaultApi* | [**SetReplicas**](docs/DefaultApi.md#setreplicas) | **Put** /namespaces/{namespaceID}/volumes/{id}/replicas | Set the number of replicas to maintain for the volume.
*DefaultApi* | [**Spec**](docs/DefaultApi.md#spec) | **Get** /openapi | Serves this openapi spec file
*DefaultApi* | [**UpdateAuthenticatedUser**](docs/DefaultApi.md#updateauthenticateduser) | **Put** /users/self | Update the authenticated user&#39;s information
*DefaultApi* | [**UpdateCluster**](docs/DefaultApi.md#updatecluster) | **Put** /cluster | Update the cluster&#39;s global configuration settings
*DefaultApi* | [**UpdateLicence**](docs/DefaultApi.md#updatelicence) | **Put** /cluster/licence | Update the licence global configuration settings
*DefaultApi* | [**UpdateNFSVolumeExports**](docs/DefaultApi.md#updatenfsvolumeexports) | **Put** /namespaces/{namespaceID}/volumes/{id}/nfs/export-config | Update an nfs volume&#39;s export configuration
*DefaultApi* | [**UpdateNFSVolumeMountEndpoint**](docs/DefaultApi.md#updatenfsvolumemountendpoint) | **Put** /namespaces/{namespaceID}/volumes/{id}/nfs/mount-endpoint | Update an nfs volume&#39;s mount endpoint
*DefaultApi* | [**UpdateNamespace**](docs/DefaultApi.md#updatenamespace) | **Put** /namespaces/{id} | Update a namespace
*DefaultApi* | [**UpdateNode**](docs/DefaultApi.md#updatenode) | **Put** /nodes/{id} | Update a node
*DefaultApi* | [**UpdatePolicyGroup**](docs/DefaultApi.md#updatepolicygroup) | **Put** /policies/{id} | Update a policy group
*DefaultApi* | [**UpdateUser**](docs/DefaultApi.md#updateuser) | **Put** /users/{id} | Update a user
*DefaultApi* | [**UpdateVolume**](docs/DefaultApi.md#updatevolume) | **Put** /namespaces/{namespaceID}/volumes/{id} | Update a volume


## Documentation For Models

 - [AcceptedMessage](docs/AcceptedMessage.md)
 - [AttachNfsVolumeData](docs/AttachNfsVolumeData.md)
 - [AttachType](docs/AttachType.md)
 - [AttachVolumeData](docs/AttachVolumeData.md)
 - [AuthUserData](docs/AuthUserData.md)
 - [CapacityStats](docs/CapacityStats.md)
 - [Cluster](docs/Cluster.md)
 - [CreateNamespaceData](docs/CreateNamespaceData.md)
 - [CreatePolicyGroupData](docs/CreatePolicyGroupData.md)
 - [CreateUserData](docs/CreateUserData.md)
 - [CreateVolumeData](docs/CreateVolumeData.md)
 - [DeploymentInfo](docs/DeploymentInfo.md)
 - [Error](docs/Error.md)
 - [FsType](docs/FsType.md)
 - [Licence](docs/Licence.md)
 - [LogFormat](docs/LogFormat.md)
 - [LogLevel](docs/LogLevel.md)
 - [MasterDeploymentInfo](docs/MasterDeploymentInfo.md)
 - [MasterDeploymentInfoAllOf](docs/MasterDeploymentInfoAllOf.md)
 - [MasterHealth](docs/MasterHealth.md)
 - [Namespace](docs/Namespace.md)
 - [NfsAcl](docs/NfsAcl.md)
 - [NfsAclIdentity](docs/NfsAclIdentity.md)
 - [NfsAclSquashConfig](docs/NfsAclSquashConfig.md)
 - [NfsConfig](docs/NfsConfig.md)
 - [NfsExportConfig](docs/NfsExportConfig.md)
 - [NfsVolumeExports](docs/NfsVolumeExports.md)
 - [NfsVolumeMountEndpoint](docs/NfsVolumeMountEndpoint.md)
 - [Node](docs/Node.md)
 - [NodeHealth](docs/NodeHealth.md)
 - [PoliciesIdSpecs](docs/PoliciesIdSpecs.md)
 - [PoliciesSpecs](docs/PoliciesSpecs.md)
 - [PolicyGroup](docs/PolicyGroup.md)
 - [PolicyGroupUsers](docs/PolicyGroupUsers.md)
 - [ReplicaDeploymentInfo](docs/ReplicaDeploymentInfo.md)
 - [ReplicaDeploymentInfoAllOf](docs/ReplicaDeploymentInfoAllOf.md)
 - [ReplicaHealth](docs/ReplicaHealth.md)
 - [ResizeVolumeRequest](docs/ResizeVolumeRequest.md)
 - [SetReplicasRequest](docs/SetReplicasRequest.md)
 - [SyncProgress](docs/SyncProgress.md)
 - [UpdateAuthenticatedUserData](docs/UpdateAuthenticatedUserData.md)
 - [UpdateClusterData](docs/UpdateClusterData.md)
 - [UpdateLicence](docs/UpdateLicence.md)
 - [UpdateNamespaceData](docs/UpdateNamespaceData.md)
 - [UpdateNodeData](docs/UpdateNodeData.md)
 - [UpdatePolicyGroupData](docs/UpdatePolicyGroupData.md)
 - [UpdateUserData](docs/UpdateUserData.md)
 - [UpdateVolumeData](docs/UpdateVolumeData.md)
 - [User](docs/User.md)
 - [UserSession](docs/UserSession.md)
 - [UserSessionAllOf](docs/UserSessionAllOf.md)
 - [UserSessionAllOfSession](docs/UserSessionAllOfSession.md)
 - [Volume](docs/Volume.md)


## Documentation For Authorization



## jwt

- **Type**: HTTP basic authentication

Example

```golang
auth := context.WithValue(context.Background(), sw.ContextBasicAuth, sw.BasicAuth{
    UserName: "username",
    Password: "password",
})
r, err := client.Service.Operation(auth, args)
```



## Author

info@storageos.com

